#
# spec file for package tree-sitter-javascript
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name javascript
Summary:        Javascript grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.20.4
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter/tree-sitter-javascript
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

%files
%{treesitter_files}
%license LICENSE

%treesitter_devel_package

%changelog
* Wed Mar 20 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.20.4:
  * fix: escape braces in regex
  * build(deps): bump deps
  * fix: allow ampersands not followed by `#` or a letter in jsx strings
  * refactor!: use last-wins precedence for queries
  * docs: update badges
  * chore: update tests
  * fix: do statements can have semicolons
  * fix: give ending regex `/` a higher lexical precedence
  * fix: don't parse html comments inside regexes
  * fix: tweak template literal injection
* Mon Feb 26 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.3:
  * chore: generate
  * fix: windows newline escapes
  * chore: don't greedily parse automatic semis if an `=` is present
  * feat: add support for import attributes
  * feat: add field names to nested_identifier rule
  * feat: support HTML entities in JSX text/attributes
  * chore: format scanner
  * fix: include parser.h locally
